1

Hey all Just found the Civibuildkit using Vagrant - made my day as they have a build that was useful for me to test and work on for my site.

My question is: Is there some one out there that can help me figure out how to create (load) the drupal-case (which is Drupal8 with the latest Civicrm build) without sample data.

I have tried to go through the files to figure it out, but if someone can point me in the right direction it would be great.

1

Update: BuildKit currently cannot build Drupal 8 sites because of the composer requirement.

To build a Drupal 8 Clean site with CiviBuild you would use the command:

Note: CiviBuild cannot currently build Drupal 8 sites with the demo data.

civibuild create d8-master or civibuild create <NAME> --type drupal8-clean

Note: This will create a Civi 'master' site using the latest bleeding edge CiviCRM code. To build using a specific CiviCRM version use --civi-ver e.g. --civi-ver 5.6.0

The full command to create a Drupal 8, CiviCRM 5.6.0 without demo data and named d8c560 with the URL http://d8c560.test is:

civibuild create d8c560 --type drupal8-clean --civi-ver 5.6.0 --url http://d8c560.test

The build you refer to dcase or ==type drupal-case builds a Drupal 7 site for testing the CiviCase v5 extension.

CiviBuild Docs

The CiviBuild documentation is worth reading:
https://docs.civicrm.org/dev/en/latest/tools/civibuild/#build-types

CiviCase v5

Information on CiviCase v5 (it's awesome!) and the associated dcase build is here:
https://github.com/civicrm/org.civicrm.civicase

  • Yes. I did that before I made the post and I get the message when it gets to installing Civicrm that it cannot use “drush” and that civicrm must be installed using “composer” that was why I liked the “drupal-case” but I will do it again maybe I missed something – Br. Mark Waldmann Oct 13 '18 at 13:51
  • 1
    So I can confirm that BuildKit "master" cannot build Drupal 8 sites. – HomoTechsual Oct 15 '18 at 21:19
  • 1
    Yes unless someone fixed the Drush install of civicrm to use composer- you will get drupal 8 but you won’t get civicrm. If I am wrong I would love to know how to fix or do it – Br. Mark Waldmann Oct 15 '18 at 23:29

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.